.addresses {
    display: flex;
    gap: 20px;

    @media (max-width: 576px) {
        flex-direction: column;
    }

    .address {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        background-color: $cultured;
        padding: 30px 40px;
        border-radius: 15px;
        height: 230px;
        position: relative;
        overflow: hidden;
        width: 100%;
        transition: 0.3s ease;

        @media (max-width: 1024px) {
            padding: 25px 30px;
            justify-content: start;
            gap: 5px;
            height: 240px;
        }

        @media (max-width: 768px) {
            height: 330px;
        }

        @media (max-width: 576px) {
            padding: 20px 25px;
            height: 290px;
        }
    
        &__title {
            @include text18;
            color: $black;
            z-index: 3;
            transition: 0.3s ease
        }
    
        &__pin {
            @include text16;
            display: flex;
            gap: 2px;
            color: $black;
            z-index: 3;

            @media (max-width: 576px) {
                @include text14;
            }
            
            span {
                &:first-child {
                    width: 22px;
                    padding-top: 1px;
                   
                }
    
                &:last-child {
                    opacity: 0.5;
                    max-width: 170px;

                    @media (max-width: 768px) {
                        max-width: 100%;
                    }
                }
            }
        }
    
        &__image {
            position: absolute;
            bottom: 0;
            right: 0;
            z-index: 2;
            transition: 0.3s ease;

            @media (max-width: 1024px) {
                width: 180px;
            }
        }
    
        &__background {
            position: absolute;
            top: 40px;
            right: -60px;
            width: 300px;
            height: 300px;
            z-index: 1;
            border-radius: 300px;
            transition: 0.3s ease;

            @media (max-width: 1024px) {
                width: 250px;
                height: 250px;
                top: 70px;
            }

            @media (max-width: 768px) {
                top: 150px;
            }

            @media (max-width: 576px) {
                top: 120px;
            }
        }

        &:hover {
            justify-content: start;

            .address__background {
                width: 100%;
                height: 100%;
                top: 0;
                right: 0;
                border-radius: 0;
            }

            .address__pin {
                span {
                    &:last-child {
                        opacity: 1;
                    }
                }
            }

            .address__image {
                filter: blur(6px);
            }

            .address__title {
                font-size: 28px;
            }

            .address__pin {
                font-size: 20px;

                span {
                    &:last-child {
                        max-width: 100%;
                    }
                }
            }
        }
    }
}

